using SqlSugar;
using System;

namespace SlnMesnac.Repository
{
    public class Repository<T> : SimpleClient<T> where T : class, new()
    {
        public ITenant itenant = null;//多租户事务、GetConnection、IsAnyConnection等功能

        public Repository(ISqlSugarClient db)
        {
            itenant = db.AsTenant();//用来处理事务
            base.Context = db.AsTenant().GetConnectionScopeWithAttr<T>();//获取子Db

            //如果不想通过注入多个仓储
            //用到ChangeRepository或者Db.GetMyRepository需要看标题4写法
        }

    }
}